
var cities = new Array(6);
cities[0] = { "coords":new google.maps.LatLng(40.75,-73.97), "zoom": 12}
cities[1] = { "coords":new google.maps.LatLng(41.395097,2.172546), "zoom": 13};
cities[2] = { "coords":new google.maps.LatLng(51.510025,-0.09407), "zoom": 12};
cities[3] = { "coords":new google.maps.LatLng(48.855,2.348), "zoom": 14};
cities[4] = { "coords":new google.maps.LatLng(37.79,-122.44), "zoom": 11};
cities[5] = { "coords":new google.maps.LatLng(35.680725,139.77562), "zoom": 12};
cities[6] = { "coords":new google.maps.LatLng(38.34552,-0.49018), "zoom": 14};
cities[7] = { "coords":new google.maps.LatLng(45.437701,12.330008), "zoom": 14};

var index;

//fisher-yates shuffle array
shuffle = function(o){
for(var j, x, i = o.length; i; j = parseInt(Math.random() * i), x = o[--i], o[i] = o[j], o[j] = x);
return o;
};

function initGame()
{
	//cities = shuffle(cities);
	index=0;
	createMap();
}

function prev()
{
	index--;
	
	if(index<0)
		index=cities.length-1;
	
	createMap();
}

function next()
{
	index++;
	
	if(index>=cities.length)
		index=0;
	
	createMap();
}

function getCurrentCity()
{
	return index+1;//cities[index].name;
}

function createMap()
{
	var map;

	var map_id = 'cityquiz';
    
	var my_styles = 
	[ { stylers: [ { visibility: "off" } ] },{ featureType: "water", elementType: "geometry", stylers: [ { visibility: "on" }, { saturation: 55 }, { hue: "#0000ff" }, { lightness: -60 } ] },{ featureType: "poi.park", elementType: "geometry", stylers: [ { visibility: "on" }, { saturation: 99 },{ lightness: -50 }, { hue: "#00ff00" } ] },{ featureType: "road", elementType: "geometry", stylers: [ { hue: "#000000" }, { visibility: "on" }, { saturation: 99 },{ lightness: -99 } ] } ];

	var mapOptions = 
	{
    	zoom: cities[index].zoom,
    	center: cities[index].coords,
    	panControl: false,
    	zoomControl: false,
    	streetViewControl: false,
    	mapTypeControlOptions: 
    	{
    		mapTypeIds: [map_id]
    	},
    	mapTypeId: map_id
	};

	map = new google.maps.Map(document.getElementById("map_canvas"), mapOptions);
      
	var styledMapOptions = 
	{
		name:"Reconoces la ciudad?"
  	};

  	var myMapType = new google.maps.StyledMapType(my_styles, styledMapOptions);
  
  	map.mapTypes.set(map_id, myMapType);

}//end function createMap